## org.eclipse.amp.agf3d
Class MarkerEdit3DPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.amp.agf.gef.GenericEditPart
                  org.eclipse.amp.agf.gef.AgentNodeEditPart
                      org.eclipse.amp.agf.gef.AgentEditPart
                          org.eclipse.amp.agf3d.AgentEdit3DPart
                              org.eclipse.amp.agf3d.MarkerEdit3DPart

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.NodeEditPart, org.eclipse.gef.RequestConstants

    public class MarkerEdit3DPart

extends AgentEdit3DPart

Field Summary

Fields inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`HIGHLIGHT_ELLIPSE, HIGHLIGHT_RECTANGLE, SCALE`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`MarkerEdit3DPart(IGraphics3DAdapter graphics3dAdapter, IGraphicsAdapter graphicsAdapter, boolean update, org.eclipse.draw3d.shapes.CuboidFigureShape[] markers)`

Method Summary
`org.eclipse.draw3d.shapes.CuboidFigureShape` `getMarker(int index)`
`IShape3DProvider` `getShapeProvider()`
`void` `setShowMarker(int markerID, boolean show)`

Methods inherited from class org.eclipse.amp.agf3d.AgentEdit3DPart
`getGraphics3DAdapter, getRelativeLocation3D, isUpdate, setModel, setUpdate`

Methods inherited from class org.eclipse.amp.agf.gef.AgentEditPart
`getColorProvider, getFigureProvider, getGraphicsAdapter, getLabelProvider`

Methods inherited from class org.eclipse.amp.agf.gef.AgentNodeEditPart
`getModelSourceConnections, getModelTargetConnections, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor`

Methods inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`activate, deactivate, propertyChange`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`addNodeListener, addNotify, getAdapter, getContentPane, getDragTracker, getFigure, getSourceConnections, getTargetConnections, refresh, removeNodeListener, removeNotify, setLayoutConstraint`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart
`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### MarkerEdit3DPart

    public MarkerEdit3DPart(IGraphics3DAdapter graphics3dAdapter,
                            IGraphicsAdapter graphicsAdapter,
                            boolean update,
                            org.eclipse.draw3d.shapes.CuboidFigureShape[] markers)

Method Detail

### getShapeProvider

    public IShape3DProvider getShapeProvider()

  Overrides:
    `getShapeProvider` in class `AgentEdit3DPart`
  Returns:
  See Also:
    `AgentEdit3DPart.getShapeProvider()`

### getMarker

    public org.eclipse.draw3d.shapes.CuboidFigureShape getMarker(int index)

### setShowMarker

    public void setShowMarker(int markerID,
                              boolean show)